/*
 *	kinput2 global imake configuration file
 */

/*
 * if you have X11R5 source, to define which conversion system
 * to be used is the only thing you should change. other parameters
 * need not to be changed.
 * you should take a look at all the parameters, anyway.
 */


/*
 * XIMP_DIR -- where XIMProto.h resides
 *   if you are using X11R4, don't care. XIMP_DIR is not used.
 */
XIMP_DIR = $(XLIBSRC)/Ximp
/* XIMP_DIR = $(CONTRIBSRC)/im/Ximp/sun/Htt */


/*
 * conversion system to use:
 *	kinput2 can use 3 conversion systems, Wnn, Canna and Sj3.
 *	you have to define at least one of them.
 *	if you define more than one, you can choose one at run time
 *	with a command line option (but the executable gets
 *	a little bigger, of course).
 */
#define UseWnn			/* define if you are going to use Wnn */
/* #define UseCanna */		/* define if you are going to use Canna */
/* #define UseSj3   */		/* define if you are going to use Sj3 */

/*
 * If you are going to use Canna Version 2.1 or higher, Define the
 * following in addition to ``UseCanna''.
 *
 */
/* #define UseCanna2 */

/*
 * if you define UseWnn, set following 3 variables:
 *
 *	WNNSRC: Wnn source directory
 *	WNNLIB: Wnn client library
 *	CCDEF_DIR: directory where character conversion rule
 *		   definition files are to be installed
 */
WNNSRC = $(CONTRIBSRC)/im/Xsi/Wnn
/* WNNLIB = $(WNNSRC)/jlib/libwnn.a */
WNNLIB = -lwnn  /* if you already installed it */
CCDEF_DIR = $(LIBDIR)/ccdef

/*
 * there was a bug in the early version of Wnn that causes
 * "_Strlen" undefined error. I think that bug is fixed in
 * current release, but if you encounter it, uncomment
 * following line.
 */
/* #define StrlenNeeded */


/*
 * if you define UseCanna, set following 2 variables:
 *	CANNASRC: Canna source directory
 *	CANNALIB: Canna user library
 */
#ifdef UseCanna2
CANNASRC =
CANNALIB = $(CANNASRC)/lib/canna16/libcanna16.a
/* or
 *  CANNASRC = /usr/local/canna/include  (where canna headers reside)
 *  CANNALIB = -lcanna16
 * if you already installed canna header files and libraries
 */
#else /* !UseCanna2 */
CANNASRC = $(CONTRIBSRC)/im/Canna
CANNALIB = $(CANNASRC)/lib/iroha/libiroha.a
/* or CANNALIB = -liroha  if you already installed it */
#endif /* !UseCanna2 */


/*
 * if you define UseSj3, set following 3 variables:
 *	SJ3SRC: Sj3 source directory
 *	SJ3LIB: Sj3 user library
 *	Sj3DEF_DIR: directory where conversion rule
 *		   definition files are to be installed
 *
 * if your machine is Sony NEWS and Sj3 is already installed,
 * just setting SJ3LIB to -lsj3lib would suffice. (don't need
 * to care about SJ3SRC)
 */
SJ3SRC = $(CONTRIBSRC)/im/Ximp/sony/sj3
SJ3LIB = $(SJ3SRC)/sj3lib/libsj3lib.a
/* or SJ3LIB = -lsj3lib  if you already installed it */
SJ3DEF_DIR = $(LIBDIR)/sj3def
